Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class ChainingSecurityContext.ChainingOpaqueCredentials

    java.lang.Object
      org.jasig.portal.security.provider.ChainingSecurityContext.ChainingOpaqueCredentials

All Implemented Interfaces:
  java.io.Serializable, IOpaqueCredentials

Direct Known Subclasses:
  CacheLdapSecurityContext.CacheOpaqueCredentials, CacheSecurityContext.CacheOpaqueCredentials

Enclosing class:
  ChainingSecurityContext

    protected class ChainingSecurityContext.ChainingOpaqueCredentials

extends java.lang.Object
implements IOpaqueCredentials

See Also:
  Serialized Form

Field Summary
`byte[]` | `credentialstring`

Constructor Summary
`protected` | `ChainingSecurityContext.ChainingOpaqueCredentials()`

Method Summary
`void` | `setCredentials(byte[] credentials)` Set the credentials value.
`void` | `setCredentials(java.lang.String credentials)` Set the credentials value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### credentialstring

    public byte[] credentialstring

Constructor Detail

### ChainingSecurityContext.ChainingOpaqueCredentials

    protected ChainingSecurityContext.ChainingOpaqueCredentials()

Method Detail

### setCredentials

    public void setCredentials(byte[] credentials)

  Description copied from interface: `IOpaqueCredentials`
  Set the credentials value.

  Specified by:
    `setCredentials` in interface `IOpaqueCredentials`
  Parameters:
    `credentials` - A string of bytes that represents an authenticator.

### setCredentials

    public void setCredentials(java.lang.String credentials)

  Description copied from interface: `IOpaqueCredentials`
  Set the credentials value.

  Specified by:
    `setCredentials` in interface `IOpaqueCredentials`
  Parameters:
    `credentials` - A Java String that contains an authenticator such as a passphrase that is typically represented by a locale-specific text string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD